use argh::FromArgs;

#[derive(FromArgs)]
#[argh(description = "Tool for gathering location data from Yepzon servers.")]
pub struct EnvOpt {
    #[argh(subcommand)]
    pub subcommand: Subcommand,
}

#[derive(FromArgs)]
#[argh(subcommand)]
pub enum Subcommand {
    Run(RunOpt),
    Init(InitOpt),
}

#[derive(FromArgs)]
#[argh(subcommand, name = "run")]
#[argh(description = "Run the tool")]
pub struct RunOpt {}

#[derive(FromArgs)]
#[argh(subcommand, name = "init")]
#[argh(description = "Initialize a config file")]
pub struct InitOpt {}
